---
title: Advanced Configuration
url: https://docs.vultr.com/products/storage/databases/kafka/management/settings/advanced-configuration
description: A guide for configuring advanced settings and parameters in Vultr Managed Apache Kafka® deployments
publish_date: 2024-10-16T12:45:27.637310Z
last_updated: 2026-05-26T20:37:42.715825Z
---

# How to Manage Advanced Configurations for Vultr Managed Apache Kafka®

Vultr Managed Apache Kafka® allows customers to add and edit various settings to optimize their Kafka database. Users can easily modify parameters such as compression_type, auto_create_topics_enable, and many others to tailor the configuration to their specific needs. This intuitive interface ensures customers have full control over their Kafka environment, enabling them to enhance performance and adjust functionalities as required for their data streaming applications.

Follow this guide to manage advanced configurations for Vultr Managed Apache Kafka® using the Vultr Console.

=== "Vultr Console"

    1. Navigate to **Products** and select **Databases**.
    1. Select the target database.
    1. Navigate to **Settings**, and select **Advanced Configurations**.
    1. Click **Add Configuration Option**. 
    1. select a **Parameter**, provide any additional value, and click **Submit**.
    1. Edit the configuration parameter value by clicking **Edit**.

=== "Vultr API"

    1. List all the databases by sending a `GET` request to the [**List Managed Databases** endpoint](https://www.vultr.com/api/#tag/managed-databases/operation/list-databases) and note the target database's ID.

        ```console
        $ curl "https://api.vultr.com/v2/databases" \
            -X GET \
            -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

    1. List all available advanced options by sending a `GET` request to the [**List Advanced Options** endpoint](https://www.vultr.com/api/#tag/managed-databases/operation/list-advanced-options)
        
        ```console
        $ curl "https://api.vultr.com/v2/databases/{database-id}/advanced-options" \
            -X GET \
            -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

    1. Enable advanced options by sending a `PUT` request to the [**Update Advanced Options** endpoint](https://www.vultr.com/api/#tag/managed-databases/operation/update-advanced-options)

        ```console
        $ curl "https://api.vultr.com/v2/databases/{database-id}/advanced-options" \
            -X PUT \
            -H "Authorization: Bearer ${VULTR_API_KEY}" \
            -H "Content-Type: application/json" \
            --data '{
                "compression_type" : string,
        }'
        ```

        Visit the [**Advanced Options**](https://www.vultr.com/api/#tag/managed-databases/operation/list-advanced-options) page to understand all available advanced options.

=== "Vultr CLI"

    1. List all database instances and note the database ID. For instance, `d6ac2a3c-92ea-43ef-8185-71a23e58ad8c`.

        ```console
        $ vultr-cli database list --summarize
        ```

    1. List all the advanced options enabled for the target database.

        ```console
        $ vultr-cli database advanced-option list <database-id>
        ```

    1. Enable the advanced options for the target database.

        ```console
        $ vultr-cli database advanced-option update <database-id> --compression-type <string>
        ```

        Run `vultr-cli database advanced-option update --help` to view and understand all options for Vultr Managed Apache Kafka®.
